我安装java的JDK时出现的问题。

为当前最终发行版之前的所有版本提供支持
回复
头像
qzjackie
帖子: 169
注册时间: 2007-02-08 13:32
来自: 福建,泉州
送出感谢: 0
接收感谢: 0
联系:

我安装java的JDK时出现的问题。

#1

帖子 qzjackie » 2007-07-21 16:12

我的操作步骤如下:

输入:
./jdk-6u2-linux-i586-rpm.bin

输出:
Unpacking...
Checksumming...
Extracting...
UnZipSFX 5.50 of 17 February 2002, by Info-ZIP (Zip-Bugs@lists.wku.edu).
inflating: jdk-6u2-linux-i586.rpm
inflating: sun-javadb-common-10.2.2-0.1.i386.rpm
inflating: sun-javadb-core-10.2.2-0.1.i386.rpm
inflating: sun-javadb-client-10.2.2-0.1.i386.rpm
inflating: sun-javadb-demo-10.2.2-0.1.i386.rpm
inflating: sun-javadb-docs-10.2.2-0.1.i386.rpm
inflating: sun-javadb-javadoc-10.2.2-0.1.i386.rpm
./jdk-6u2-linux-i586-rpm.bin: 494: rpm: not found
./jdk-6u2-linux-i586-rpm.bin: 494: rpm: not found
Installing JavaDB
./jdk-6u2-linux-i586-rpm.bin: 494: rpm: not found

Done.

再输入:
qzjackie@qzjackie-desktop:~$ sudo apt-get install jdk-6u2-linux-i586
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
qzjackie@qzjackie-desktop:~$ sudo apt-get install jdk-6u2-linux-i586.rpm
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.

这是什么问题啊??要怎么解决??
头像
qzjackie
帖子: 169
注册时间: 2007-02-08 13:32
来自: 福建,泉州
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 qzjackie » 2007-07-21 16:18

我运行了
qzjackie@qzjackie-desktop:~$ dpkg --configure -a
dpkg: 该操作需要超级用户权限

还出现上面的问题这是怎么问题啊??
nomcoych
帖子: 179
注册时间: 2007-06-27 23:43
送出感谢: 0
接收感谢: 0

#3

帖子 nomcoych » 2007-07-22 0:07

直接apt-get install java-6-jdk多好啊.
头像
qzjackie
帖子: 169
注册时间: 2007-02-08 13:32
来自: 福建,泉州
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 qzjackie » 2007-07-22 9:56

这样也是可以的。不过我想用的我那个装法要怎么弄啊??
头像
qzjackie
帖子: 169
注册时间: 2007-02-08 13:32
来自: 福建,泉州
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 qzjackie » 2007-07-22 10:22

问题解决了太谢谢你们了。哈
头像
wth123456
帖子: 234
注册时间: 2006-12-07 17:32
送出感谢: 0
接收感谢: 0

#6

帖子 wth123456 » 2007-07-23 13:03

nomcoych 写了:直接apt-get install java-6-jdk多好啊.
王道正途
头像
qzjackie
帖子: 169
注册时间: 2007-02-08 13:32
来自: 福建,泉州
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 qzjackie » 2007-07-23 15:13

:em26 :em26 :em26 :em26
头像
qianwx
帖子: 730
注册时间: 2006-07-08 14:41
送出感谢: 0
接收感谢: 0

#8

帖子 qianwx » 2007-07-23 22:19

qzjackie@qzjackie-desktop:~$ dpkg --configure -a
dpkg: 该操作需要超级用户权限
你在命令前面加上sudo即可!!
头像
qzjackie
帖子: 169
注册时间: 2007-02-08 13:32
来自: 福建,泉州
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 qzjackie » 2007-07-24 8:19

十分感谢已经弄好了。
头像
hanhelia
帖子: 80
注册时间: 2007-05-11 11:46
送出感谢: 0
接收感谢: 0

#10

帖子 hanhelia » 2007-07-24 11:27

nomcoych 写了:直接apt-get install java-6-jdk多好啊.
ubuntu的优点就表现在这里
头像
qzjackie
帖子: 169
注册时间: 2007-02-08 13:32
来自: 福建,泉州
送出感谢: 0
接收感谢: 0
联系:

#11

帖子 qzjackie » 2007-07-24 14:05

是啊
回复

回到 “老旧版本支持”